OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
memchecker_valgrind_module.c File Reference

memchecker (memory checker) valgrind framework component interface. More...

`#include "opal_config.h"`
`#include "opal/constants.h"`
`#include "opal/mca/base/mca_base_param.h"`
`#include "opal/mca/memchecker/memchecker.h"`
`#include "opal/mca/memchecker/base/base.h"`
`#include "memchecker_valgrind.h"`
`#include "valgrind/valgrind.h"`
`#include "valgrind/memcheck.h"`

## Functions
static int | valgrind_module_init (void)
static int | valgrind_module_runindebugger (void)
static int | valgrind_module_isaddressable (void *p, size_t len)
static int | valgrind_module_isdefined (void *p, size_t len)
static int | valgrind_module_mem_noaccess (void *p, size_t len)
static int | valgrind_module_mem_undefined (void *p, size_t len)
static int | valgrind_module_mem_defined (void *p, size_t len)
static int | valgrind_module_mem_defined_if_addressable (void *p, size_t len)
static int | valgrind_module_create_block (void *p, size_t len, char *description)
static int | valgrind_module_discard_block (void *p)
static int | valgrind_module_leakcheck (void)
int | opal_memchecker_valgrind_component_query (mca_base_module_t **module, int *priority)
| memchecker query API function More...

## Variables
static const opal_memchecker_base_module_1_0_0_t | loc_module

## Detailed Description

memchecker (memory checker) valgrind framework component interface.

Intent

## Function Documentation

int opal_memchecker_valgrind_component_query | ( | mca_base_module_t ** | module,
|  | int * | priority
| ) |  |

memchecker query API function

Query function for memchecker components. Simply returns a priority to rank it against other available memchecker components (assumedly, only one component will be available per platform, but it's possible that there could be more than one available).

References mca_base_param_find(), and mca_base_param_lookup_int().

## Variable Documentation

const opal_memchecker_base_module_1_0_0_t loc_module
| static

Initial value:
= {
valgrind_module_init,
valgrind_module_runindebugger,
valgrind_module_isaddressable,
valgrind_module_isdefined,
valgrind_module_mem_noaccess,
valgrind_module_mem_undefined,
valgrind_module_mem_defined,
valgrind_module_mem_defined_if_addressable,
valgrind_module_create_block,
valgrind_module_discard_block,
valgrind_module_leakcheck
}